{
    num: 690,
    accuracy: 100,
    basePower: 100,
    category: "Physical",
    name: "Beak Blast",
    pp: 15,
    priority: -3,
    flags: { protect: 1, failmefirst: 1, nosleeptalk: 1, noassist: 1, failcopycat: 1, failinstruct: 1, bullet: 1, pecking: 1 },
    priorityChargeCallback(pokemon) {
        pokemon.addVolatile("beakblast");
    },
    condition: {
        duration: 1,
        onStart(pokemon) {
            this.add("-singleturn", pokemon, "move: Beak Blast");
        },
        onHit(target, source, move) {
            if (this.checkMoveMakesContact(move, source, target)) {
                source.trySetStatus("brn", target);
            }
        }
    },
    onAfterMove(pokemon) {
        pokemon.removeVolatile("beakblast");
    },
    secondary: null,
    target: "normal",
    type: "Flying",
    contestType: "Tough"
}
